.\"
.\" lptcontrol - a utility for manipulating the lpt driver
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\"
.\" $FreeBSD: src/usr.sbin/lptcontrol/lptcontrol.8,v 1.3.2.4 1999/09/05 11:40:25 peter Exp $
.Dd September 3, 1994
.Dt LPTCONTROL 8
.Os FreeBSD 2
.Sh NAME
.Nm \&lptcontrol 
.Nd a utility for manipulating the lpt printer driver
.Sh SYNOPSIS
.Nm \&lptcontrol
.Cm -i
|
.Cm -p
.Op Fl u Ar unit no
.Sh DESCRIPTION
The
.Nm
command is used to set either the interrupt-driven or polling mode
of individual 
.Xr lpt 4
devices.  When a printer is switched between
interrupt-driven and polled mode, this change will only take effect
the next time the device is opened.
.Sh OPTIONS
.TP
The following command line options are supported:
.Bl -tag -width indent 
.It Fl i
Turn on interrupt-driven mode.
.It Fl p
Turn on polled mode.
.It Fl u  Ar n
Set the mode of the printer device specified by
.Em n .
The default value for 
.Em n
is
.Em 0
(ie.
.Pa /dev/lpt0 )
.El
.Pp
One of 
.Fl i
or
.Fl p
must be specified.
.Pp
.Sh FILES
.Bl -tag -width /sys/i386/conf/GENERIC -compact
.It Pa /dev/lpt?
Printer devices.
.It Pa /dev/lpctl?
Printer control devices.
.It Pa /sys/i386/conf/GENERIC
Kernel configuration file.
.El
.Sh BUGS
Sure to be some.
.Sh "SEE ALSO"
.Xr lpt 4 
.Sh AUTHORS
.An Geoffrey M. Rehmet
.Sh HISTORY
.Nm Lptcontrol
first appeared in
.Fx 1.1.5
